<?php
/**
 * @package     Joomla.Site
 * @subpackage  mod_articles_latest
 *
 * @copyright   Copyright (C) 2005 - 2019 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;
$doc = JFactory::getDocument();
$doc->addStyleSheet( "modules/mod_ipricepopup/tmpl/default.css" );
$minwidth = (int)$params->get('minwidth', '420');
if ($minwidth < 200)
	$minwidth = 200;
$maxwidth = (int)$params->get('maxwidth', '800');
if ($maxwidth < 400)
	$maxwidth = 400;
if ($minwidth > $maxwidth)
	$minwidth = $maxwidth;
?>

<div id="ip_popupnews" class="modal ippopup-modal modal-dialog popup-bs-modal-center hide fade" style="max-width:<?php echo $maxwidth;?>px; min-width:<?php echo $minwidth;?>px" tabindex="-1" role="dialog" aria-labelledby="ipCartModallLabel" aria-hidden="true">
 <div class="modal-dialog ippopup-modal-dialog">
    <div class="modal-header ippopup-modal-header center">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
		
		<?php if ($params->get('caption', '')) { ?>
		
        <h3 id="ipPopUpModallLabel"><?php echo $params->get('caption', ''); ?></h3>
		
		<?php } ?>
		
    </div>
    <div class="modal-body ippopup-modal-body">
		<?php 
		if ((int)$params->get('displaytext', '0')==0)
			echo $text;
		
		if ($articletitle) 
		{
			if ((int)$params->get('captionlinktoarticle', '0') && $articlerow){
					$link = 'index.php?option=com_content&view=article&id=' . $articlerow->id;
					if ((int) $articlerow->catid > 1)
						$link .= '&catid=' . $articlerow->catid;
					if ($articlerow->language && $articlerow->language !== '*' && JLanguageMultilang::isEnabled())
						$link .= '&lang=' . $articlerow->language;
			?>
			<a href="<?php echo JRoute::_($link); ?>" itemprop="url">
			<?php } ?>
		
			<h3 id="ipPopUpModallLabel"><?php echo $articletitle; ?></h3>
			
			<?php if ((int)$params->get('captionlinktoarticle', '0') && $articlerow){?>
			</a>
			<?php } ?>
			
		
		<?php }
		
		echo $article; 
		
		if ((int)$params->get('displaytext', '0')!=0)
			echo $text;
		?>
		
    </div>
	
    <div class="modal-footer ippopup-modal-footer">
<!--		<a href="#" onclick="jQuery('#ip_popupnews').modal('hide');return false;">Закрыть</a> -->
		<button class="btn" style="float:left;" onclick="ippopup_setCookie(true);jQuery('#ip_popupnews').modal('hide');"><?php echo JText::_("MOD_IPRICEPOPUP_REMIND_LATER"); ?></button>
		<button class="btn" onclick="ippopup_setCookie(false); return true;" data-dismiss="modal" aria-hidden="true"><?php echo JText::_("MOD_IPRICEPOPUP_CLOSE_BUTTON_CAPT"); ?></button>
    </div>

 </div>
</div>

<script type="text/javascript">

function ippopup_getCookie(name) {
  var matches = document.cookie.match(new RegExp(
    "(?:^|; )" + name.replace(/([\.$?*|{}\(\)\[\]\\\/\+^])/g, '\\$1') + "=([^;]*)"
  ));
  return matches ? decodeURIComponent(matches[1]) : undefined;
}


(function ($) {
    "use strict";
    function $ippopup_fixBootstrapModalPosition() {
        $(this).css('display', 'block');
		
        var /*$dialog  = $(this).find(".modal-dialog")*/ $dialog  = $(this),
            offsetY       = ($(window).height() - $dialog.height()) / 2,
			offsetX       = ($(window).width() - $dialog.width()) / 2,
            bottomMargin = parseInt($dialog.css('marginBottom'), 10),
			rightMargin = parseInt($dialog.css('marginRight'), 10);

        // Make sure you don't hide the top part of the modal w/ a negative margin if it's longer than the screen height, and keep the margin equal to the bottom margin of the modal
        if(offsetY < bottomMargin) offsetY = bottomMargin;
		//if(offsetX < rightMargin) offsetX = rightMargin;
        $dialog.css("margin-top", offsetY);
		$dialog.css("margin-left", offsetX);
    }

    $(document).on('show.bs.modal', '.popup-bs-modal-center', $ippopup_fixBootstrapModalPosition);
    $(window).on("resize", function () {
        $('.popup-bs-modal-center:visible').each($ippopup_fixBootstrapModalPosition);

    });
})(jQuery);

function ippopup_setCookie(issetdate) 
{
	var date = new Date;
	date.setDate(date.getDate() + 30); // + 30 days	
	
	var date = new Date;
	date.setDate(date.getDate() + 30); // + 30 days	
//alert("ip_popup_lasthash=<?php echo $currhash;?>; path=/; expires=" + date.toUTCString())	;	
	document.cookie = "ip_popup_lasthash=<?php echo $currhash;?>; path=/; expires=" + date.toUTCString();
	if (issetdate)
	{
		document.cookie = "ip_popup_lastdate=<?php echo $nextdate;?>; path=/; expires=" + date.toUTCString();
	}
	else
	{
		document.cookie = "ip_popup_lastdate=0; path=/; expires=" + date.toUTCString();
	}
}


var ip_timeouthandle;
ip_timeouthandle = setTimeout(function(){jQuery('#ip_popupnews').modal('show');}, <?php echo $display_timeout;?>);// $timeout

jQuery('#ip_popupnews').on('hidden.bs.modal', function () {
	//clearTimeout(ip_timeouthandle);
})

	
</script> 


